mbed TLS v2.16.3: mbedtls_cipher_context_t Struct Reference

mbed TLS v2.16.3

Data Fields
mbedtls_cipher_context_t Struct Reference

`#include <cipher.h>`

Collaboration diagram for mbedtls_cipher_context_t:
[legend]

## Data Fields
const mbedtls_cipher_info_t * | cipher_info
int | key_bitlen
mbedtls_operation_t | operation
void(* | add_padding )(unsigned char *output, size_t olen, size_t data_len)
int(* | get_padding )(unsigned char *input, size_t ilen, size_t *data_len)
unsigned char | unprocessed_data [MBEDTLS_MAX_BLOCK_LENGTH]
size_t | unprocessed_len
unsigned char | iv [MBEDTLS_MAX_IV_LENGTH]
size_t | iv_size
void * | cipher_ctx

## Detailed Description

Generic cipher context.

Definition at line 284 of file cipher.h.

## Field Documentation

## ◆ add_padding

void(* mbedtls_cipher_context_t::add_padding) (unsigned char *output, size_t olen, size_t data_len)

Padding functions to use, if relevant for the specific cipher mode.

Definition at line 301 of file cipher.h.

## ◆ cipher_ctx

void* mbedtls_cipher_context_t::cipher_ctx

The cipher-specific context.

Definition at line 319 of file cipher.h.

## ◆ cipher_info

const mbedtls_cipher_info_t* mbedtls_cipher_context_t::cipher_info

Information about the associated cipher.

Definition at line 287 of file cipher.h.

Referenced by mbedtls_cipher_get_block_size(), mbedtls_cipher_get_cipher_mode(), mbedtls_cipher_get_iv_size(), mbedtls_cipher_get_key_bitlen(), mbedtls_cipher_get_name(), mbedtls_cipher_get_operation(), and mbedtls_cipher_get_type().

## ◆ get_padding

int(* mbedtls_cipher_context_t::get_padding) (unsigned char *input, size_t ilen, size_t *data_len)

Definition at line 302 of file cipher.h.

## ◆ iv

unsigned char mbedtls_cipher_context_t::iv[MBEDTLS_MAX_IV_LENGTH]

Current IV or NONCE_COUNTER for CTR-mode, data unit (or sector) number for XTS-mode.

Definition at line 313 of file cipher.h.

## ◆ iv_size

size_t mbedtls_cipher_context_t::iv_size

IV size in Bytes, for ciphers with variable-length IVs.

Definition at line 316 of file cipher.h.

Referenced by mbedtls_cipher_get_iv_size().

## ◆ key_bitlen

int mbedtls_cipher_context_t::key_bitlen

Key length to use.

Definition at line 290 of file cipher.h.

## ◆ operation

mbedtls_operation_t mbedtls_cipher_context_t::operation

Operation that the key of the context has been initialized for.

Definition at line 295 of file cipher.h.

Referenced by mbedtls_cipher_get_operation().

## ◆ unprocessed_data

unsigned char mbedtls_cipher_context_t::unprocessed_data[MBEDTLS_MAX_BLOCK_LENGTH]

Buffer for input that has not been processed yet.

Definition at line 306 of file cipher.h.

## ◆ unprocessed_len

size_t mbedtls_cipher_context_t::unprocessed_len

Number of Bytes that have not been processed yet.

Definition at line 309 of file cipher.h.

The documentation for this struct was generated from the following file:

- cipher.h